Name:		gbdfed
Summary: 	Bitmap Font Editor
Version:	1.5
Release:	4%{?dist}
License:	MIT
Group:		Applications/System
Source0:	http://www.math.nmsu.edu/~mleisher/Software/gbdfed/%{name}-%{version}.tbz2
Source1:	http://www.math.nmsu.edu/~mleisher/Software/gbdfed/%{name}16x16.png
Source2:	gbdfed.desktop
# Fix conflict with getline() in stdio.h
Patch0:		gbdfed-1.5-getline.patch
# Fix implicit DSO issue with libX11
Patch1:		gbdfed-1.5-implicit-DSO-libX11.patch
# Fix some of the gtk issues
Patch2:		gbdfed-1.5-gtkfix.patch
URL:		http://www.math.nmsu.edu/~mleisher/Software/gbdfed/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freetype-devel, pango-devel, libX11-devel, libICE-devel, gtk2-devel
BuildRequires:	desktop-file-utils, autoconf

%description
gbdfed lets you interactively create new bitmap font files or 
modify existing ones. It allows editing multiple fonts and multiple 
glyphs, it allows cut and paste operations between fonts and glyphs and 
editing font properties. The editor works natively with BDF fonts.

%prep
%setup -q 
%patch0 -p1 -b .getline
%patch1 -p1 -b .DSO
%patch2 -p1 -b .gtkfix

# This is incredibly hackish, and will likely not work when these deprecated bits are removed outright.
sed "s:-D.*_DISABLE_DEPRECATED::" -i Makefile.in

%build
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gbdfed.png
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE2}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/gbdfed
%{_datadir}/pixmaps/gbdfed.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/gbdfed*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-3
- coax this beast to life for one last build

* Wed Feb 10 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-2
- Fix implicit DSO issue with libX11

* Tue Jul 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-1
- update to 1.5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.4-1
- initial Fedora package
